
package de.ivu.elect.business.personenregister.control;

import java.util.Collection;

import de.ivu.elect.business.person.entity.Personendaten;
import de.ivu.elect.business.personenregister.entity.PersonenregisterPersonendaten;
import de.ivu.elect.business.staat.entity.Staat;

public class KandidaturPersonenregisterPersonendatenMapper extends AbstractWusPersonendatenPersonenregisterPersonendatenMapper {

  private static final long serialVersionUID = 1L;

  public KandidaturPersonenregisterPersonendatenMapper() {
    super();
  }

  @Override
  public void mapAutomatischerAbgleich(Personendaten personendaten, PersonenregisterPersonendaten template, Collection<Staat> templateStaatsangehoerigkeiten) {
    super.mapAutomatischerAbgleich(personendaten, template, templateStaatsangehoerigkeiten);

    mapDefaultKandidaturdaten(personendaten, template);
  }

  @Override
  public void mapManuelleAuswahl(Personendaten personendaten, PersonenregisterPersonendaten template) {
    super.mapManuelleAuswahl(personendaten, template);

    mapDefaultKandidaturdaten(personendaten, template);
  }

  protected void mapDefaultKandidaturdaten(Personendaten personendaten, PersonenregisterPersonendaten template) {
    personendaten.setKuenstlername(template.getKuenstlername());
    personendaten.setOrdensname(template.getOrdensname());
  }
}
